SOHO Netgear обзавелись дыркой в вебе
В http-сервере, применяемом в SOHO-маршрутизаторах Netgear, выявлена уязвимость, позволяющая без прохождения аутентификации удалённо выполнить свой код с правами root и получить полный контроль за устройством. Для атаки достаточно возможности отправки запроса на сетевой порт, на которым выполняется web-интерфейс. Проблема вызвана отсутствием проверки размера внешних данных, перед их копированием в буфер фиксированного размера. Уязвимость подтверждена в различных моделях маршрутизаторов Netgear, в прошивках которых используется типовой уязвимый процесс httpd.
Так как при работе со стеком в прошивках не применялись механизмы защиты, такие как установка канареечных меток, удалось подготовить стабильно работающий эксплоит, запускающий на 8888 порту обратный shell с root-доступом. Эксплоит адаптирован для атаки на 758 найденных образов прошивок Netgear, но вручную пока протестирован на 28 устройствах. В частности, подтверждена работа эксплоита в различных вариантах моделей:
  • D6300
  • DGN2200
  • EX6100
  • R6250
  • R6400
  • R7000
  • R8300
  • R8500
  • WGR614
  • WGT624
  • WN3000RP
  • WNDR3300
  • WNDR3400
  • WNDR4000
  • WNDR4500
  • WNR834B
  • WNR1000
  • WNR2000
  • WNR3500
  • WNR3500L

Обновления с исправлением уязвимости пока не выпущены (0-day), поэтому пользователям рекомендуется закрыть доступ к HTTP-порту устройства для запросов с не заслуживающих доверия систем. Компания Netgear была информирована об уязвимости 8 января, но к 120-дневному сроку согласованного раскрытия сведений об уязвимости не выпустила обновления прошивок с устранением проблемы и запросила продлить срок эмбарго. Исследователи согласились сдвинуть срок до 15 июня, но в конце мая представители Netgear ещё раз попросили сдвинуть срок на конец июня, на что получили отказ.
Публикации по теме:
подробнее скрыть
Вы должны войти

loading